Implement -D option to set configuration directory; fai.conf: don't set variables...
[grml-live.git] / etc / grml / fai / grml / grml_cleanup_chroot.online
diff --git a/etc/grml/fai/grml/grml_cleanup_chroot.online b/etc/grml/fai/grml/grml_cleanup_chroot.online
deleted file mode 100755 (executable)
index 25f67f6..0000000
+++ /dev/null
@@ -1,51 +0,0 @@
-#!/bin/bash
-# Filename:      /etc/grml/fai/grml/grml_cleanup_chroot_no_online
-# Purpose:       execute tasks that require network access
-# Authors:       (c) Michael Prokop <mika@grml.org>
-# Bug-Reports:   see http://grml.org/bugs/
-# License:       This file is licensed under the GPL v2.
-################################################################################
-
-# misc stuff
-  umask 022
-  . /etc/grml/lsb-functions || exit 6
-  [ -x /usr/bin/timeout ] && TIMEOUT="10" || TIMEOUT=""
-
-if [ -x /usr/bin/freshclam ] ; then
-  einfo "Updating clamav database via running freshclam"
-  if [ -n "$TIMEOUT" ] ; then
-     timeout $TIMEOUT /usr/bin/freshclam ; eend $?
-  else
-     /usr/bin/freshclam ; eend $?
-  fi
-else
-  ewarn "freshclam not installed" ; eend 0
-fi
-
-if [ -x /usr/bin/update-pciids ] ; then
-  einfo "Updating PCI- and USB-ids"
-  if [ -n "$TIMEOUT" ] ; then
-     timeout $TIMEOUT update-pciids || echo "Warning: update-pciids was not successfull">&2
-     timeout $TIMEOUT update-usbids || echo "Warning: update-usbids was not successfull">&2
-  else
-     update-pciids || echo "Warning: update-pciids was not successfull">&2
-     update-usbids || echo "Warning: update-usbids was not successfull">&2
-  fi
-  eend $?
-else
-  ewarn "update-pciids/update-usbids not installed" ; eend 0
-fi
-
-if [ -x /usr/sbin/nessus-update-plugins ] ; then
-   einfo "Updating nessus-plugins"
-   if [ -n "$TIMEOUT" ] ; then
-      timeout $TIMEOUT nessus-update-plugins || echo "Warning: nessus-update-plugins was not successfull">&2
-   else
-      nessus-update-plugins || echo "Warning: nessus-update-plugins was not successfull">&2
-   fi
-   eend $?
-else
-  ewarn "nessus-update-plugins not installed" ; eend 0
-fi
-
-## END OF FILE #################################################################